# std::result_of< _Functor(_ArgTypes...)> Class Template Reference

## Detailed Description

### template<typename _Functor, typename... _ArgTypes>
class std::result_of< _Functor(_ArgTypes...)>

Determine whether we can determine a result type from `Functor` alone.

Definition at line 178 of file tr1_impl/functional.

The documentation for this class was generated from the following file:

- tr1_impl/functional